module.exports = {
  root: true,
  env: {
    node: true,
  },
  extends: [
    'plugin:vue/vue3-essential',
    '@vue/airbnb',
  ],
  parserOptions: {
    parser: 'babel-eslint',
  },
	rules: {
		'no-console': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
		'no-debugger': process.env.NODE_ENV === 'production' ? 'warn' : 'off',
		'no-tabs': 0,
		'linebreak-style': 0,
		'indent': 0,
		'no-trailing-spaces': 0, 
		'eol-last': 0,
		'max-len': ['error', { 'code': 178, 'ignoreComments': true, }],
		'no-plusplus': 0,
	},
};
